Bug 19617 - Allow 'writeoff of selected'
Summary: Allow 'writeoff of selected'
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 15:58 UTC by Kyle M Hall
Modified: 2018-07-10 08:29 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19617: Allow 'writeoff of selected' (8.76 KB, patch)
2018-04-30 16:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19617: Allow 'writeoff of selected' (8.87 KB, patch)
2018-05-31 12:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19617: Allow 'writeoff of selected' (8.40 KB, patch)
2018-06-26 14:37 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19617: Allow 'writeoff of selected' (8.41 KB, patch)
2018-07-02 18:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19617: (QA follow-up) Fix typo for type (2.26 KB, patch)
2018-07-02 18:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-11-13 15:58:51 UTC
Add “Write off selected” button
Comment 1 Katrin Fischer 2017-12-05 07:04:19 UTC
Changed title to differentiate between this bug and bug 11210.
Comment 2 Martha Fuerst 2018-02-27 19:04:28 UTC
Yes please!

This would be very useful when working with patrons with lots of fines, etc. when you don't want to writeoff all of their outstanding fines.
Comment 3 Kyle M Hall 2018-04-30 16:49:38 UTC
Created attachment 74941 [details] [review]
Bug 19617: Allow 'writeoff of selected'

This patch adds a writeoff equivilent to 'Pay selected'

Test Plan:
1) Apply this patch
2) Find a patron with fines
3) On the "Pay fines" tab, select one or more fines and use the
   "Write off selected" button.
4) Note the fine amount you used was written off for those fines.
Comment 4 Martha Fuerst 2018-05-30 14:50:10 UTC
Test Plan:
1) Apply this patch
2) Find a patron with fines
3) On the "Pay fines" tab, select one or more fines and use the
   "Write off selected" button.
4) Note the fine amount you used was written off for those fines.

Works for me! Thanks, Kyle!
Comment 5 Kyle M Hall 2018-05-31 12:31:36 UTC
Created attachment 75702 [details] [review]
Bug 19617: Allow 'writeoff of selected'

This patch adds a writeoff equivilent to 'Pay selected'

Test Plan:
1) Apply this patch
2) Find a patron with fines
3) On the "Pay fines" tab, select one or more fines and use the
   "Write off selected" button.
4) Note the fine amount you used was written off for those fines.

Signed-off-by: Kyle M Hall <kyle@bywatetsolutions.com>

Signed-off-by: Martha Fuerst <mfuerst@hmcpl.org>
Comment 6 Jonathan Druart 2018-06-19 14:34:50 UTC
CONFLICT (content): Merge conflict in members/pay.pl
Comment 7 Kyle M Hall 2018-06-26 14:37:27 UTC
Created attachment 76450 [details] [review]
Bug 19617: Allow 'writeoff of selected'

This patch adds a writeoff equivilent to 'Pay selected'

Test Plan:
1) Apply this patch
2) Find a patron with fines
3) On the "Pay fines" tab, select one or more fines and use the
   "Write off selected" button.
4) Note the fine amount you used was written off for those fines.

Signed-off-by: Kyle M Hall <kyle@bywatetsolutions.com>

Signed-off-by: Martha Fuerst <mfuerst@hmcpl.org>
Comment 8 Tomás Cohen Arazi 2018-07-02 16:14:23 UTC
Kyle, I've tested the patches and they work as expected. All good :-D

My only doubt is about terminology. I know the 'Writeoff' value is used on the offset types, but at least on the UI we should use a common way of writing it. I've found:
- Write off
- Writeoff

And then I mostly found references to 'Write-off' everywhere on the internet. Certainly not a big deal, but worth fixing on this bug.
Comment 9 Tomás Cohen Arazi 2018-07-02 18:49:38 UTC
Created attachment 76638 [details] [review]
Bug 19617: Allow 'writeoff of selected'

This patch adds a writeoff equivilent to 'Pay selected'

Test Plan:
1) Apply this patch
2) Find a patron with fines
3) On the "Pay fines" tab, select one or more fines and use the
   "Write off selected" button.
4) Note the fine amount you used was written off for those fines.

Signed-off-by: Kyle M Hall <kyle@bywatetsolutions.com>

Signed-off-by: Martha Fuerst <mfuerst@hmcpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Tomás Cohen Arazi 2018-07-02 18:49:44 UTC
Created attachment 76639 [details] [review]
Bug 19617: (QA follow-up) Fix typo for type

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Nick Clemens 2018-07-06 14:48:25 UTC
Awesome work all!

Pushed to master for 18.11
Comment 12 Martin Renvoize 2018-07-10 08:29:55 UTC
Enhancement, not backporting to 18.05.x series.